#define STR7201_MAX_SIGNALS 32
#define LNE_INTERNAL 0
#define LNE_EXTERNAL 1
#define INTERNAL_CLOCK 10000000  /* The internal clock on the SIS38xx */
#define NINT(f) (long)((f)>0 ? (f)+0.5 : (f)-0.5) 

/* Function prototypes */
int STR7201Setup(int maxCards, int baseAddress, int intVector, int intLevel);
int STR7201Config(int card, int maxSignals, int maxChans);
int drvSTR7201Init(int card);
int drvSTR7201AcqOn(int card);
int drvSTR7201AcqOff(int card);
int drvSTR7201SetPresets(int card, float ptime, int startChan, int endChan,
                            long pcounts);
int drvSTR7201SetChannelAdvance(int card, int source, int prescale);
int drvSTR7201GetAcqStatus(int card, int signal, float *elapsed_time, 
                            long *elapsed_counts, int *acq_status);
int drvSTR7201Erase(int card);
int drvSTR7201Read(int card, int signal, int nchans, long *buff);
int drvSTR7201SetNChans(int card, int nchans);
